Bug 1573540 - Dashboard widget is not providing exact content due to Type conversion Exception.
Summary: Dashboard widget is not providing exact content due to Type conversion Except...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.8.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.8.4
Assignee: Yuri Rudman
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Keywords: ZStream
Depends On: 1564986
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 16:03 UTC by Satoe Imaishi
Modified: 2018-06-25 14:21 UTC (History)
10 users (show)

(edit)
Clone Of: 1564986
(edit)
Last Closed: 2018-06-25 14:20:41 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:21 UTC

Comment 2 CFME Bot 2018-05-01 16:12:22 UTC
New commit detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/a826134c7e9e9cbacbf532c0856ef512f4c141fd
commit a826134c7e9e9cbacbf532c0856ef512f4c141fd
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Tue May  1 09:38:12 2018 -0400
Commit:     Brandon Dunne <brandondunne@hotmail.com>
CommitDate: Tue May  1 09:38:12 2018 -0400

    Merge pull request #17347 from yrudman/do-not-changed-user-current-group-when-do-rback-search

    Do not change current_group for super admin user when executing Rbac#lookup_user_group
    (cherry picked from commit 2d81fcec137de378fbbb377e52f6fcea1baa7124)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1573540

 lib/rbac/filterer.rb | 22 +-
 spec/lib/rbac/filterer_spec.rb | 8 +
 2 files changed, 20 insertions(+), 10 deletions(-)

Comment 3 Dmitry Misharov 2018-05-23 13:59:54 UTC
Verified in 5.8.4.3.20180515170411_29cc195.

Comment 5 errata-xmlrpc 2018-06-25 14:20:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.